Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.eprs
Class FileEpr

    java.lang.Object
      org.jboss.soa.esb.addressing.EPR
          org.jboss.soa.esb.addressing.eprs.FileEpr

Direct Known Subclasses:
  FTPEpr

    public class FileEpr

extends EPR

A helper class for using file based EPRs. Simply create instances of this class instead of the base EPR. Since URLs can use file:// as the protocol, we try to leverage that as much as possible.

Author:
  marklittle

Field Summary
`static java.lang.String` | `DEFAULT_REPLY_TO_FILE_SUFFIX`
`static java.lang.String` | `ERROR_DEL_TAG`
`static java.lang.String` | `ERROR_DIR_TAG`
`static java.lang.String` | `ERROR_SUFFIX_TAG`
`static java.lang.String` | `INPUT_SUFFIX_TAG`
`static java.lang.String` | `POST_DEL_TAG`
`static java.lang.String` | `POST_DIR_TAG`
`static java.lang.String` | `POST_RENAME_TAG`
`static java.lang.String` | `POST_SUFFIX_TAG`
`static java.lang.String` | `URL_TAG`
`static java.lang.String` | `WORK_SUFFIX_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.EPR
`_logger`

Constructor Summary
`FileEpr(EPR epr)`
`FileEpr(EPR epr, org.w3c.dom.Element header)`
`FileEpr(java.lang.String url)`
`FileEpr(java.net.URI uri)`
`FileEpr(java.net.URL url)` Deprecated.

Method Summary
`EPR` | `copy()` Return a copy of this EPR.
`boolean` | `getErrorDelete()` Attention - Default
`java.lang.String` | `getErrorDirectory()`
`java.lang.String` | `getErrorSuffix()`
`java.lang.String` | `getInputSuffix()`
`boolean` | `getPostDelete()`
`java.lang.String` | `getPostDirectory()`
`boolean` | `getPostRename()`
`java.lang.String` | `getPostSuffix()`
`java.net.URL` | `getURL()` Deprecated.
`java.lang.String` | `getWorkSuffix()`
`void` | `setErrorDelete(boolean del)` Set the error delete for this EPR.
`void` | `setErrorDirectory(java.lang.String dir)` Set the error directory for this EPR.
`void` | `setErrorSuffix(java.lang.String suffix)` Set the error suffix for this EPR.
`void` | `setInputSuffix(java.lang.String suffix)` Set the file input suffix.
`void` | `setPostDelete(boolean del)` Set the post delete for this EPR.
`void` | `setPostDirectory(java.lang.String dir)` Set the post directory for this EPR.
`void` | `setPostRename(boolean rename)` Set the post rename for this EPR.
`void` | `setPostSuffix(java.lang.String suffix)` Set the post suffix for this EPR.
`void` | `setURL(java.net.URL url)` Deprecated.
`void` | `setWorkSuffix(java.lang.String suffix)` Set the work suffix for this EPR.
`java.lang.String` | `toString()`
`static java.net.URI` | `type()`

Methods inherited from class org.jboss.soa.esb.addressing.EPR
`equals, getAddr, getURI, setAddr, setURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INPUT_SUFFIX_TAG

    public static final java.lang.String INPUT_SUFFIX_TAG

See Also:
  Constant Field Values

### WORK_SUFFIX_TAG

    public static final java.lang.String WORK_SUFFIX_TAG

See Also:
  Constant Field Values

### POST_DIR_TAG

    public static final java.lang.String POST_DIR_TAG

See Also:
  Constant Field Values

### POST_SUFFIX_TAG

    public static final java.lang.String POST_SUFFIX_TAG

See Also:
  Constant Field Values

### POST_DEL_TAG

    public static final java.lang.String POST_DEL_TAG

See Also:
  Constant Field Values

### POST_RENAME_TAG

    public static final java.lang.String POST_RENAME_TAG

See Also:
  Constant Field Values

### ERROR_DIR_TAG

    public static final java.lang.String ERROR_DIR_TAG

See Also:
  Constant Field Values

### ERROR_SUFFIX_TAG

    public static final java.lang.String ERROR_SUFFIX_TAG

See Also:
  Constant Field Values

### ERROR_DEL_TAG

    public static final java.lang.String ERROR_DEL_TAG

See Also:
  Constant Field Values

### URL_TAG

    public static final java.lang.String URL_TAG

See Also:
  Constant Field Values

### DEFAULT_REPLY_TO_FILE_SUFFIX

    public static final java.lang.String DEFAULT_REPLY_TO_FILE_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### FileEpr

    public FileEpr(EPR epr)

### FileEpr

    public FileEpr(EPR epr,
                   org.w3c.dom.Element header)

### FileEpr

    public FileEpr(java.net.URL url)
            throws java.net.URISyntaxException

  Deprecated.

  Construct the File EPR with the specified URL.

  Parameters:
    `url` -
  Throws:
    `java.net.URISyntaxException`

### FileEpr

    public FileEpr(java.lang.String url)
            throws java.net.URISyntaxException

Throws:
  `java.net.URISyntaxException`

### FileEpr

    public FileEpr(java.net.URI uri)

Method Detail

### setURL

    public void setURL(java.net.URL url)

  Deprecated.

  Set the URL for this endpoint.

  Parameters:
    `url` - the address.

### getURL

    public java.net.URL getURL()

  Deprecated.

  Get the URL address.

  Returns:
    the address.

### setInputSuffix

    public final void setInputSuffix(java.lang.String suffix)
                              throws java.net.URISyntaxException

  Set the file input suffix.

  Parameters:
    `suffix` - the input suffix to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getInputSuffix

    public final java.lang.String getInputSuffix()

  Returns:
    the input suffix associated with this EPR.

### setWorkSuffix

    public final void setWorkSuffix(java.lang.String suffix)
                             throws java.net.URISyntaxException

  Set the work suffix for this EPR.

  Parameters:
    `suffix` - the suffix to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getWorkSuffix

    public final java.lang.String getWorkSuffix()

  Returns:
    the work suffix associated with this EPR.

### setPostDirectory

    public final void setPostDirectory(java.lang.String dir)
                                throws java.net.URISyntaxException

  Set the post directory for this EPR.

  Parameters:
    `dir` - the directory to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getPostDirectory

    public final java.lang.String getPostDirectory()

  Returns:
    the post directory associated with this EPR.

### setPostSuffix

    public final void setPostSuffix(java.lang.String suffix)
                             throws java.net.URISyntaxException

  Set the post suffix for this EPR.

  Parameters:
    `suffix` - the suffix to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getPostSuffix

    public final java.lang.String getPostSuffix()

  Returns:
    the post suffix associated with this EPR.

### setPostDelete

    public final void setPostDelete(boolean del)
                             throws java.net.URISyntaxException

  Set the post delete for this EPR.

  Parameters:
    `del` - the deleted value to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### setPostRename

    public final void setPostRename(boolean rename)
                             throws java.net.URISyntaxException

  Set the post rename for this EPR.

  Parameters:
    `rename` -
  Throws:
    `java.net.URISyntaxException`

### getPostRename

    public final boolean getPostRename()

  Returns:
    the post rename value associated with this EPR.

### getPostDelete

    public final boolean getPostDelete()

  Returns:
    the delete vazlue associated with this EPR.

### setErrorDirectory

    public final void setErrorDirectory(java.lang.String dir)
                                 throws java.net.URISyntaxException

  Set the error directory for this EPR.

  Parameters:
    `dir` - the directory to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getErrorDirectory

    public final java.lang.String getErrorDirectory()

  Returns:
    the error directory associated with this EPR.

### setErrorSuffix

    public final void setErrorSuffix(java.lang.String suffix)
                              throws java.net.URISyntaxException

  Set the error suffix for this EPR.

  Parameters:
    `suffix` - the suffix to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getErrorSuffix

    public final java.lang.String getErrorSuffix()

  Returns:
    the error suffix associated with this EPR.

### setErrorDelete

    public final void setErrorDelete(boolean del)
                              throws java.net.URISyntaxException

  Set the error delete for this EPR. (invalid Message files will be deleted)

  Parameters:
    `del` - the deleted value to use.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getErrorDelete

    public final boolean getErrorDelete()

  Attention - Default

  Returns:
    the error delete value associated with this EPR.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EPR`

### copy

    public EPR copy()

  Description copied from class: `EPR`
  Return a copy of this EPR.

  Overrides:
    `copy` in class `EPR`

### type

    public static java.net.URI type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD